Get Status History
GET
/api/v1/devices/{device_type}/status-history
const url = 'https://example.com/api/v1/devices/EMU_FREE/status-history';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/devices/EMU_FREE/status-historyGet a collection of all the previous UP/DOWN statuses for a device.
This route should provide 3 months of device status history along with the current status of a device.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”device_type
required
DeviceTypeName
Enumeration of allowed and legacy device type names
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
NonPaginatedResponse[ProducedManyDeviceHistoryResponse]
object
data
Any of:
ProducedManyDeviceHistoryResponse
object
device_type
required
DeviceTypeName
Enumeration of allowed and legacy device type names
string
current_status
required
DeviceStatus
string
null
Example
{ "data": { "device_type": "EMU_FREE", "current_status": "UP", "history": [ { "status": "UP" } ] }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}